import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useAppStore = defineStore('app', () => {
  // 全局加载状态
  const loading = ref(false)
  // 系统信息
  const systemInfo = ref(uni.getSystemInfoSync())
  
  const setLoading = (status) => {
    loading.value = status
  }
  
  return {
    loading,
    systemInfo,
    setLoading
  }
})